/**
 * A Timestamp structure holding the
 */
export declare type Timestamp = {
    unix: number;
    react_native: number | null;
};
/**
 * Simple class providing timestamps in milliseconds.
 * If available, it will use the `performance.now()` method, and will fallback on `Date.now()` otherwise.
 */
export declare class TimeProvider {
    private canUsePerformanceNow;
    /** Keeps an average offset between the unix time and the provided timestamp. */
    private baseOffset;
    constructor();
    getTimestamp(): Timestamp;
    now(): number;
    private performanceNow;
}
