import { TimeProvider } from './TimeProvider';
/**
 * Simple timer which records time ticks. Shouldn't be re-used once stopped.
 * All timestamps/durations returned are in milliseconds.
 */
export default class Timer {
    private timeProvider;
    private times;
    constructor(timeProvider?: TimeProvider);
    get startTime(): number;
    get stopTime(): number;
    start(): void;
    stop(): void;
    recordTick(label: string): void;
    hasTickFor(label: string): boolean;
    durationBetween(startLabel: string, endLabel: string): number;
    timeAt(label: string): number;
    reset(): void;
    private durationBetweenTicks;
    private checkLabelExists;
}
