/// <reference types="react-native" />
import type { RequestProxyOptions } from '../domain/interfaces/RequestProxy';
import { RequestProxy } from '../domain/interfaces/RequestProxy';
import type { ResourceReporter } from './DatadogRumResource/ResourceReporter';
export declare const TRACE_ID_HEADER_KEY = "x-datadog-trace-id";
export declare const PARENT_ID_HEADER_KEY = "x-datadog-parent-id";
export declare const ORIGIN_HEADER_KEY = "x-datadog-origin";
export declare const SAMPLING_PRIORITY_HEADER_KEY = "x-datadog-sampling-priority";
export declare const ORIGIN_RUM = "rum";
interface XHRProxyProviders {
    xhrType: typeof XMLHttpRequest;
    resourceReporter: ResourceReporter;
}
/**
 * Proxies XMLHTTPRequest to track resources.
 */
export declare class XHRProxy extends RequestProxy {
    private providers;
    private static originalXhrOpen;
    private static originalXhrSend;
    constructor(providers: XHRProxyProviders);
    onTrackingStart: (context: RequestProxyOptions) => void;
    onTrackingStop: () => void;
}
export {};
